﻿using System;
using System.Runtime.Serialization;

namespace Palmmedia.Common
{   
    /// <summary>
    /// Occurs when sending an email fails.
    /// </summary>
    [Serializable] 
    public class EmailException : Exception
    {
		/// <summary>
		/// Initializes a new instance of the <see cref="EmailException"/> class.
		/// </summary>
        public EmailException()
            : base()
        {
        }

		/// <summary>
		/// Initializes a new instance of the <see cref="EmailException"/> class.
		/// </summary>
		/// <param name="message">The message.</param>
        public EmailException(string message)
            : base(message)
        {
        }

		/// <summary>
		/// Initializes a new instance of the <see cref="EmailException"/> class.
		/// </summary>
		/// <param name="message">The message.</param>
		/// <param name="innerException">The inner exception.</param>
        public EmailException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

		/// <summary>
		/// Initializes a new instance of the <see cref="EmailException"/> class.
		/// </summary>
		/// <param name="serializationInfo">The serialization info.</param>
		/// <param name="streamingContext">The streaming context.</param>
		protected EmailException(SerializationInfo serializationInfo, StreamingContext streamingContext)
            : base(serializationInfo, streamingContext)
        {
        }
    }
}
