﻿using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace Palmmedia.Common.Net.Mvc.LegacyRouting
{
    /// <summary>
    /// Handles a legacy request by redirecting to another route. 
    /// </summary>
    public class LegacyHandler : MvcHandler
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="LegacyHandler"/> class.
        /// </summary>
        /// <param name="requestContext">The request context.</param>
        public LegacyHandler(RequestContext requestContext) 
            : base(requestContext) 
        {
        }

        /// <summary>
        /// Processes the request.
        /// </summary>
        /// <param name="httpContext">The HTTP context.</param>
        protected override void ProcessRequest(HttpContextBase httpContext)
        {
            var legacyRoute = RequestContext.RouteData.Route as LegacyRoute;

            httpContext.Response.Status = "301 Moved Permanently";
            httpContext.Response.RedirectLocation = legacyRoute.Target;
        }
    }
}
