﻿using System;
using System.Web.Mvc;

namespace Palmmedia.Common.Net.Mvc
{
    /// <summary>
    /// Extends the <see cref="HtmlHelper"/> to create a hidden field containing the 'SpamProtectionTimeStamp' used by <see cref="SpamProtectionAttribute"/>.
    /// </summary>
    public static class SpamProtectionExtensions
    {
        /// <summary>
        /// Create a hidden field containing the 'SpamProtectionTimeStamp'.
        /// </summary>
        /// <param name="helper">The <see cref="HtmlHelper"/>.</param>
        /// <returns>The hidden field containing the 'SpamProtectionTimeStamp'.</returns>
        public static string SpamProtectionTimeStamp(this HtmlHelper helper)
        {
            var builder = new TagBuilder("input");
            builder.MergeAttribute("id", "SpamProtectionTimeStamp");
            builder.MergeAttribute("name", "SpamProtectionTimeStamp");
            builder.MergeAttribute("type", "hidden");
            builder.MergeAttribute("value", ((long)(DateTime.Now - new DateTime(1970, 1, 1)).TotalSeconds).ToString());
            return builder.ToString(TagRenderMode.SelfClosing);
        }
    }
}