﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVCBlog.Core.Entities
{
	/// <summary>
	/// Represents a BlogEntry.
	/// </summary>
	public partial class BlogEntry
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="BlogEntry"/> class.
		/// </summary>
		public BlogEntry()
		{
			this.Id = Guid.NewGuid();
			this.Created = DateTime.Now;
		}

        /// <summary>
        /// Gets the URL / permalink of the <see cref="BlogEntry"/>.
        /// </summary>
        public string Url
        {
            get
            {
                return this.Created.Year + "/" + this.Created.Month + "/" + this.Created.Day + "/" + this.HeaderUrl;
            }
        }

        /// <summary>
        /// Called when the header has changed.
        /// </summary>
        partial void OnHeaderChanged()
        {
            this.HeaderUrl = this.Header.ToLowerInvariant().Replace(" - ", "-").Replace(" ", "-");
        }
	}
}
