﻿using System;
using MVCBlog.Core.Entities;

namespace MVCBlog.Core.Service
{
    /// <summary>
	/// Interface for accessing <see cref="BlogEntryComment">BlogEntryComments</see>.
    /// </summary>
	public interface IBlogEntryCommentService : IGenericEntityService<BlogEntryComment>
    {
        /// <summary>
        /// Returns the <see cref="BlogEntryComment"/> with the given Id.
        /// </summary>
        /// <param name="id">The Id.</param>
        /// <returns>The <see cref="BlogEntryComment"/> with the given Id.</returns>
        BlogEntryComment GetById(Guid id);

        /// <summary>
        /// Determines whether a pingback with the given url exists.
        /// </summary>
        /// <param name="blogEntryId">The id of the <see cref="BlogEntry"/>.</param>
        /// <param name="url">The url.</param>
        /// <returns>True if pingback exists otherwise false.</returns>
        bool DoesPingbackExist(Guid blogEntryId, string url);
    }
}
