﻿using MVCBlog.Core.Entities;

namespace MVCBlog.Core.Service
{
    /// <summary>
	/// Interface for accessing <see cref="Tag">Tags</see>.
    /// </summary>
	public interface ITagService : IGenericEntityService<Tag>
    {
		/// <summary>
		/// Gets the <see cref="Tag"/> with the given text.
		/// </summary>
		/// <param name="text">The text.</param>
		/// <returns>The <see cref="Tag"/> with the given text.</returns>
		Tag GetByText(string text);
    }
}
