﻿using System;
using System.Runtime.Serialization;

namespace MVCBlog.Core.Service
{   
    /// <summary>
    /// Occurs when an error in the BusinessLogic occurs.
    /// </summary>
    [Serializable] 
    public class ServiceException : Exception
    {
		/// <summary>
		/// Initializes a new instance of the <see cref="ServiceException"/> class.
		/// </summary>
        public ServiceException()
            : base()
        {
        }

		/// <summary>
		/// Initializes a new instance of the <see cref="ServiceException"/> class.
		/// </summary>
		/// <param name="message">The message.</param>
        public ServiceException(string message)
            : base(message)
        {
        }

		/// <summary>
		/// Initializes a new instance of the <see cref="ServiceException"/> class.
		/// </summary>
		/// <param name="message">The message.</param>
		/// <param name="innerException">The inner exception.</param>
        public ServiceException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

		/// <summary>
		/// Initializes a new instance of the <see cref="ServiceException"/> class.
		/// </summary>
		/// <param name="serializationInfo">The serialization info.</param>
		/// <param name="streamingContext">The streaming context.</param>
		protected ServiceException(SerializationInfo serializationInfo, StreamingContext streamingContext)
            : base(serializationInfo, streamingContext)
        {
        }
    }
}
