﻿using System;
using System.Web.Mvc;
using Palmmedia.Common.Ioc;

namespace MVCBlog.Website.Controllers
{
    /// <summary>
    /// Custom <see cref="IControllerFactory"/> which uses dependcy injection to instantiate controllers.
    /// </summary>
    public class IocControllerFactory : DefaultControllerFactory   
    {
        /// <summary>
        /// Gets the controller instance.
        /// </summary>
        /// <param name="controllerType">Type of the controller.</param>
        /// <returns>A reference to the controller.</returns>
        protected override IController GetControllerInstance(Type controllerType)  
        {
            if (controllerType == null)
            {
                return base.GetControllerInstance(controllerType);
            }

            return (Controller)IocHelper.Resolve(controllerType);  
        }  
    }  
}