﻿using System.Configuration;
using Palmmedia.Common.Net.Mvc.Localization;

namespace MVCBlog.Website.Controllers
{
    /// <summary>
    /// Adds the 'X-Pingback' header to each response.
    /// </summary>
    public abstract class PingbackControllerBase : LocalizedControllerBase
    {
        /// <summary>
        /// Executes the specified request context.
        /// </summary>
        /// <param name="requestContext">The request context.</param>
        protected override void Execute(System.Web.Routing.RequestContext requestContext)
        {
            string url = requestContext.HttpContext.Request.Url.GetLeftPart(System.UriPartial.Authority) + "/" + ConfigurationManager.AppSettings["PingbackHandler"];

            requestContext.HttpContext.Response.AddHeader(
                "X-Pingback", 
                url);

            base.Execute(requestContext);
        }
    }
}