﻿using System.Collections.Generic;

namespace MVCBlog.Website.Models
{
    /// <summary>
    /// Model for a several <see cref="BlogEntry">BlogEntries</see>.
    /// </summary>
    public class BlogEntries : BlogEntryBase
    {
        /// <summary>
        /// Gets or sets the entries.
        /// </summary>
        public IEnumerable<BlogEntryDetail> Entries { get; set; }

        /// <summary>
        /// Gets or sets the current page.
        /// </summary>
        public int? CurrentPage { get; set; }

        /// <summary>
        /// Gets or sets the number total pages.
        /// </summary>
        public int TotalPages { get; set; }

        /// <summary>
        /// Gets or sets the search term.
        /// </summary>
        public string Search { get; set; }

        /// <summary>
        /// Gets or sets the currently selected tag.
        /// </summary>
        public string Tag { get; set; }
    }
}
