﻿using System.Collections.Generic;
using MVCBlog.Core.Entities;

namespace MVCBlog.Website.Models
{
    /// <summary>
    /// Model for a single <see cref="BlogEntry"/>.
    /// </summary>
    public class BlogEntryDetail : BlogEntryBase
    {
        /// <summary>
        /// Gets or sets the blog entry.
        /// </summary>
        public BlogEntry BlogEntry { get; set; }

        /// <summary>
        /// Gets or sets the blog entry.
        /// </summary>
        public IEnumerable<BlogEntry> RelatedBlogEntries { get; set; }

        /// <summary>
        /// Gets or sets the header.
        /// </summary>
        public string Header { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the entry should be shown with all details.
        /// </summary>
        public bool ShowDetails { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the comments form should be visible.
        /// </summary>
        public bool HideNewCommentsForm { get; set; }
    }
}
