<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MVCBlog.Website.Models.BlogEntryDetail>" %>
<h1>
    <%= Html.ActionLink(this.Model.BlogEntry.Header, this.Model.BlogEntry.Url)%></h1>
<div class="date">
    <img src="<%= ResolveUrl("~/gx/icons/calendar.gif") %>" alt="<%= this.Model.BlogEntry.Created.ToShortDateString() %>"
        title="<%= this.Model.BlogEntry.Created.ToShortDateString() %>" />
    <%= this.Model.BlogEntry.Created.ToShortDateString()%>
    <% if (this.Model.BlogEntry.Author != null)
       {
    %>
    <%= Html.Resource("By")%>
    <%= Html.Encode(this.Model.BlogEntry.Author)%>
    <%
}
    %>
    <img src="<%= ResolveUrl("~/gx/icons/comment.gif") %>" alt="<%= Html.Resource("Comments") %>"
        title="<%= Html.Resource("Comments") %>" class="icon" />
    <%= Html.ActionLink(this.Model.BlogEntry.Comments.Count(c => !c.Pingback) + " " + Html.Resource("Comments"), this.Model.BlogEntry.Url + "#comments")%>
    <% if (this.Request.IsAuthenticated)
       { 
    %>
    <img src="<%= ResolveUrl("~/gx/icons/edit.gif") %>" alt="<%= Html.Resource("Edit") %>"
        title="<%= Html.Resource("Edit") %>" class="icon" />
    <%= Html.ActionLink(Html.Resource("Edit"), MVC.BlogEntryEdit.Index(this.Model.BlogEntry.Id))%>
    <img src="<%= ResolveUrl("~/gx/icons/delete.gif") %>" alt="<%= Html.Resource("Delete") %>"
        title="<%= Html.Resource("Delete") %>" class="icon" />
    <%= Html.ActionLink(Html.Resource("Delete"), MVC.Blog.Delete(this.Model.BlogEntry.Id))%>
    <%
} 
    %>
</div>
<% if (!this.Model.ShowDetails)
   {
       if (this.Model.BlogEntry.ShortContent == null)
       {
%>
<%= this.Model.BlogEntry.Content%>
<% 
}
       else
       {
%>
<%= this.Model.BlogEntry.ShortContent%>
<p>
    <%= Html.ActionLink(Html.Resource("Continue"), this.Model.BlogEntry.Url)%>
</p>
<% 
}
   }
   else
   {
%>
<%= this.Model.BlogEntry.Content%>
<% 
int numberOfFiles = this.Model.BlogEntry.Files.Count;

if (numberOfFiles > 0)
{
%>
<h2>
    <%= Html.Resource("Downloads")%></h2>
<% 
foreach (var file in this.Model.BlogEntry.Files)
{
%>
<%= Html.ActionLink(file.Name + "." + file.Extension, MVC.Blog.Download(file.Id))%>
<%
if (this.Request.IsAuthenticated)
{
%>
- Downloads:
<%= file.Counter%>
<%
}
%>
<br />
<%
}
}
%>
<% 
int numberOfTags = this.Model.BlogEntry.Tags.Count;

if (numberOfTags > 0)
{
%>
<div class="tags">
<p>
    <img src="<%= ResolveUrl("~/gx/icons/tag.png") %>" alt="<%= Html.Resource("Tags") %>" title="<%= Html.Resource("Tags") %>" />    
    <span class="bold"><%= Html.Resource("Tags")%></span>:
    <% 
string separator = ",";
var tags = this.Model.BlogEntry.Tags.OrderBy(t => t.Name).Select(t => t.Name).ToArray();
for (int i = 0; i < numberOfTags; i++)
{
    if (i == numberOfTags - 1)
    {
        separator = string.Empty;
    }
    %>
    <%= Html.RouteLink(tags[i], "Tag", new { tag = tags[i] })%><%=separator%>
    <%         
}
        %>
        </p>
        <%        
if (this.Model.RelatedBlogEntries.Count() > 0)
{
%>
    <div class="line-separator"></div>
    <span class="bold"><%= Html.Resource("RelatedPosts")%></span>:
    <ul>
    <% 
foreach (var blogEntry in this.Model.RelatedBlogEntries)
{
    %>
    <li><%= Html.ActionLink(blogEntry.Header, blogEntry.Url)%></li>
    <%         
} 
    %>
    </ul>
<% 
}
%>
    

</div>
<% 
}
%>
<%
Html.RenderPartial(MVC.Blog.Views.CommentsControl, this.Model);
%>
<% 
}   
%>