<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MVCBlog.Website.Models.BlogEntryDetail>" %>
<a id="comments"></a>
<div id="commentscontainer">
<% if (!this.Model.HideNewCommentsForm)
   {
%>
<div class="line-separator">
    &nbsp;</div>
<h2>
    <%= Html.Resource("NewComment")%></h2>
<% using (Html.BeginForm(this.Model.BlogEntry.Url, MVC.Blog.Name, FormMethod.Post, new { id = "commentForm" }))
   { %>
<p>
    <label for="name">
        <%=Html.Resource("Name")%>:</label><br />
    <%= Html.TextBox("name", null, new { style = "width: 450px;", maxlength = 100 })%>
    <%= Html.ValidationMessage("name")%>
</p>
<p>
    <label for="email">
        <%=Html.Resource("Email")%>:</label><br />
    <%= Html.TextBox("email", null, new { style = "width: 450px;", maxlength = 100 })%>
    <%= Html.ValidationMessage("email")%>
</p>
<p>
    <label for="homepage">
        <%=Html.Resource("Homepage")%>:</label><br />
    <%= Html.TextBox("homepage", null, new { style = "width: 450px;", maxlength = 100 })%>
    <%= Html.ValidationMessage("homepage")%>
</p>
<p>
    <label for="comment">
        <%=Html.Resource("Comment")%>:</label><br />
    <%= Html.TextArea("comment", null, new { rows = 8, style = "width: 450px;" })%>
    <%= Html.ValidationMessage("comment")%>
</p>
<p>
    <%= Html.SpamProtectionTimeStamp() %>
    <%= Html.AntiForgeryToken()%>
    <input id="submitCommentForm" name="submitCommentForm" type="submit" value="<%=Html.Resource("Submit")%>" />
    <%= Html.ValidationMessage("submit")%>
</p>
<% }
   }
%>
<div class="line-separator">
    &nbsp;</div>
<h2>
    <%= Html.Resource("Comments")%></h2>
<% 
    int counter = 0;
    if (this.Model.BlogEntry.Comments.Count() == 0)
    {
%>
<%=Html.Resource("NoComments")%>
<%        
    }

    foreach (var comment in this.Model.BlogEntry.Comments.OrderBy(c => c.Created))
    {
        string cssClass = "comment";
        if (comment.AdminPost)
        {
            cssClass += "-admin";
        }
%>
<div class="<%= cssClass %>">
    <% if (!comment.Pingback)
       {
           counter++;
    %>
    <div class="counter">
        #<%= counter.ToString()%></div>
    <a id="comment<%= counter.ToString() %>"></a>
    <% 
        }
       else
       {
    %>
    <%= Html.Resource("Pingback")%>
    <%
        }        
    %>
    <%= Html.Encode(comment.Comment).Replace("\n", "<br />")%>
    <p class="date">
        <%= Html.Encode(comment.Created.ToShortDateString()) %>
        <% if (!string.IsNullOrEmpty(comment.Name))
           {%>
        <%= Html.Resource("By") %>
        <%= Html.Encode(comment.Name) %>
        <% 
            }
        %>
        <% if (!string.IsNullOrEmpty(comment.Homepage))
           {%>
        |
        <%= Html.Encode(comment.Homepage) %>
        <% 
            }%>
        <% if (this.Request.IsAuthenticated)
           { 
        %>
        <img src="<%= ResolveUrl("~/gx/icons/delete.gif") %>" alt="<%= Html.Resource("Delete") %>"
            title="<%= Html.Resource("Delete") %>" class="icon" />
        <%= Html.ActionLink(Html.Resource("Delete"), MVC.Blog.DeleteComment(comment.Id))%>
        <%
            } 
        %>
    </p>
</div>
<%    
    }
%>
</div>