<%@  Language="C#" MasterPageFile="~/Views/Shared/Sidebar.Master" Inherits="System.Web.Mvc.ViewPage<MVCBlog.Website.Models.BlogEntries>" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeaderContent" runat="server">
    <link rel="canonical" href="<%= this.Request.Url.GetLeftPart(UriPartial.Authority) %>" />
</asp:Content>
<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" runat="server">
    <%
        if (!string.IsNullOrEmpty(this.Model.Tag) || !string.IsNullOrEmpty(this.Model.Search))
        {
    %>
        <div class="tags">
            <%
                if (!string.IsNullOrEmpty(this.Model.Tag))
                {
                    %>
                        <img src="<%= ResolveUrl("~/gx/icons/tag.png") %>" alt="<%= Html.Resource("Tag") %>" title="<%= Html.Resource("Tag") %>" />
                        <%= Html.Resource("Tag") %>: <%= Html.Encode(this.Model.Tag) %>
                    <%
                }
                else if (!string.IsNullOrEmpty(this.Model.Search))
                {
                    %>
                        <img src="<%= ResolveUrl("~/gx/icons/search.png") %>" alt="<%= Html.Resource("Search") %>" title="<%= Html.Resource("Search") %>" />
                        <%= Html.Resource("Search") %>: <%= Html.Encode(this.Model.Search)%>
                    <%
                }
            %>
        </div>
        <br />
    <% 
        }
    %>

    <% 
        int numberOfEntries = this.Model.Entries.Count();
        for (int i = 0; i < numberOfEntries; i++)
        {
            Html.RenderPartial(MVC.Blog.Views.BlogEntryControl, this.Model.Entries.ElementAt(i));
            if (i < numberOfEntries - 1)
            {
    %>
    <div style="clear: left">
    </div>
    <div class="line-separator">
        &nbsp;</div>
    <%
        }
        }

        if (numberOfEntries == 0)
        {
    %>
    <%= Html.Resource("NoData") %>
    <%
        }
        else if (this.Model.TotalPages > 1)
        {
            %>
                <div id="paging">
            <%
                int nextPage = -1;

                if (!this.Model.CurrentPage.HasValue)
                {
                    nextPage = 2;
                }
                else if (this.Model.CurrentPage.HasValue && this.Model.CurrentPage.Value < this.Model.TotalPages)
                {
                    nextPage = this.Model.CurrentPage.Value + 1;
                } 
            
                if (this.Model.CurrentPage.HasValue && this.Model.CurrentPage.Value > 1)
                {                                     
                    if (string.IsNullOrEmpty(this.Model.Tag))
                    {
                    %>                    
                        <%= Html.ActionLink(Html.Resource("PreviousPage"), MVC.Blog.Index(null, this.Model.Search, this.Model.CurrentPage.Value - 1))%>
                    <%
                    }
                    else
                    {
                        %>                    
                            <%= Html.RouteLink(Html.Resource("PreviousPage"), "TagPaging", new { tag = this.Model.Tag, page = this.Model.CurrentPage.Value - 1 })%>
                        <%
                    }

                    if (nextPage != -1)
                    {
                        %>                    
                            |
                        <%
                    }
                }                
                    
                if (nextPage != -1)
                {
                    if (string.IsNullOrEmpty(this.Model.Tag))
                    {
                        %>                    
                            <%= Html.ActionLink(Html.Resource("NextPage"), MVC.Blog.Index(null, this.Model.Search, nextPage))%>
                        <%
                    }
                    else
                    {
                        %>                    
                            <%= Html.RouteLink(Html.Resource("NextPage"), "TagPaging", new { tag = this.Model.Tag, page = nextPage })%>
                        <%
                    }
                }
            %>
                </div>
            <%
        }
    %>
</asp:Content>
