<%@  Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MVCBlog.Website.Models.BlogEntryEdit>" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeaderContent" runat="server">
    <link type="text/css" rel="stylesheet" href="/css/jquery.autocomplete.css" />

    <script type="text/javascript" src="/Scripts/tiny_mce/jquery.tinymce.js"></script>

    <script type="text/javascript" src="/Scripts/tiny_mce/tiny_mce.js"></script>

    <script type="text/javascript" src="/Scripts/jquery.autocomplete.pack.js"></script>

    <script type="text/javascript">
        /* <![CDATA[ */
        tinyMCE.init({
            mode : "none",
            theme: "advanced",
            convert_urls : false,
            forced_root_block : false,
            force_br_newlines : true,
            force_p_newlines : false,
            plugins: "table,advimage,advlink,inlinepopups,preview,searchreplace,paste,fullscreen,noneditable,nonbreaking,xhtmlxtras,wordcount,syntaxhighlighter",

            theme_advanced_buttons1: "bold,italic,underline,strikethrough,cite,|,formatselect,fontsizeselect,|,forecolor,backcolor,|,outdent,indent,|,undo,redo,|,search,replace,|,cleanup,preview,fullscreen,code",
            theme_advanced_buttons2: "cut,copy,paste,pastetext,pasteword,|,bullist,numlist,|,link,unlink,image,syntaxhighlighter,|,tablecontrols,|,removeformat,|,sub,sup,|,charmap,|,nonbreaking",
            theme_advanced_buttons3: "",
            theme_advanced_buttons4: "",
            theme_advanced_toolbar_location: "top",
            theme_advanced_toolbar_align: "left",
            theme_advanced_statusbar_location: "bottom",
            theme_advanced_resizing: true
        });
        
        function toggleEdtitor(id) {
            if (!tinyMCE.get(id)) {
                tinyMCE.execCommand('mceAddControl', false, id);
            } else {
                tinyMCE.execCommand('mceRemoveControl', false, id);
            }
        }
            
        function selectImage(ev) {
            var url = '/' + $("#ImageDropDown").val();
            if (url != '/') {
                var text = $("#ImageDropDown option:selected").text();
                var image = '<img src="' + url + '" alt="' + text + '" title="' + text + '" class="picture" />';
                var lightboximage = '<a class="lightbox" href="' + url + '" rel="group1" title="' + text + '"><img src="' + url + '" alt="' + text + '" title="' + text + '" /></a>';
                $("#Image").val(image);
                $("#ImageLightbox").val(lightboximage);
                $("#ImagePreview").attr('src', url);
                $("#ImagePreview").attr('alt', text);
            } else {
                $("#Image").val('');
                $("#ImageLightbox").val('');
                $("#ImagePreview").attr('src', '');
                $("#ImagePreview").attr('alt', '');
            }
        }
        
        function updateShortContentCounter() {
            $("#ShortContentCounter").html(1500 - $("#ShortContent").val().length);
        }
        
        $(document).ready(function() {            
            $("#toggleShortContentEditor").click(function(ev) {
                ev.preventDefault();
                toggleEdtitor("ShortContent");
            });
            $("#toggleContentEditor").click(function(ev) {
                ev.preventDefault();
                toggleEdtitor("Content");
            });
            
            $("a.addImage").click(function() {
                $("#imageHelper").css("visibility", "visible");
            });
            $("#closeImageLink").click(function() {
                $("#imageHelper").css("visibility", "hidden");
            });
            $("#ImageDropDown").change(selectImage);
            
            $("#ShortContent").keyup(updateShortContentCounter);
            updateShortContentCounter();
            
            $("input.tag").autocomplete([<%= this.Model.TagsAsString %>], {
                multiple: false
            });
        });   
        /* ]]> */  
    </script>

</asp:Content>
<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" runat="server">
    <div id="imageHelper" style="position: fixed; margin: auto; width: 830px; top: 30px;
        padding: 30px; background-color: #ffffff; visibility: hidden; border: 5px solid #dcdcdc;">
        <h1>
           <%= Html.Resource("AddImage") %></h1>
            <img id="ImagePreview" src="" alt="" style="position: absolute; top: 10px; right: 10px; width: 80px;" />
        <p>
            <%= Html.DropDownList("ImageDropDown", this.Model.Images.Select(i => new SelectListItem() { Text = i.Name, Value = i.RelativePath } ), Html.Resource("SelectImage")) %>
        </p>
        <p>
            <label for="Image">
                <%= Html.Resource("HTML-Code")%>:</label><br />
            <%= Html.TextBox("Image", null, new { style = "width: 800px;" }) %>
        </p>
        <p>
            <label for="ImageLightbox">
                <%= Html.Resource("HTML-Code-Lightbox")%>:</label><br />
            <%= Html.TextBox("ImageLightbox", null, new { style = "width: 800px;" }) %>
        </p>
        <p>
            <a id="closeImageLink" href="javascript:void(0);">[<%= Html.Resource("Close")%>]</a>
        </p>
    </div>
    <% using (Html.BeginForm())
       {%>
    <fieldset>
        <legend><%= Html.Resource("MetaData")%></legend>
        <p>
            <label for="Header">
                <%= Html.Resource("Header")%>:</label><br />
            <%= Html.TextBox("Header", this.Model.BlogEntry.Header, new { style = "width: 450px;", maxlength = 150 }) %>
            <%= Html.ValidationMessage("Header", "*") %>
        </p>
        <p>
            <label for="Author">
                <%= Html.Resource("Author")%>:</label><br />
            <%= Html.TextBox("Author", this.Model.BlogEntry.Author, new { style = "width: 450px;", maxlength = 100 })%>
            <%= Html.ValidationMessage("Author", "*") %>
        </p>
        <p>
            <%= Html.CheckBox("Visible", this.Model.BlogEntry.Visible)%>
            <label for="Visible">
                <%= Html.Resource("Visible")%></label>
        </p>
    </fieldset>
    <fieldset>
        <legend><%= Html.Resource("Content")%></legend>
        <div class="right">
            <a class="addImage" href="javascript:void(0);"><%= Html.Resource("AddImage")%></a> <a id="toggleShortContentEditor"
                href="javascript:void(0);"><%= Html.Resource("LoadEditor")%></a>
        </div>
        <p>
            <label for="ShortContent">
            <%= Html.Resource("ShortContent")%>:</label><br />
            <%= Html.TextArea("ShortContent", this.Model.BlogEntry.ShortContent, new { rows = 8, style = "width: 100%;", @class = "tinymce" })%>
            <span id="ShortContentCounter" class="counter" title="<%= Html.Resource("RemainingChars") %>"></span>
        </p>
        <div class="right">
            <a class="addImage" href="javascript:void(0);"><%= Html.Resource("AddImage")%></a> <a id="toggleContentEditor"
                href="javascript:void(0);"><%= Html.Resource("LoadEditor")%></a>
        </div>
        <p>
            <label for="Content">
                <%= Html.Resource("Content")%>:</label><br />
            <%= Html.TextArea("Content", this.Model.BlogEntry.Content, new { rows = 15, style = "width: 100%;", @class = "tinymce" })%>
            <%= Html.ValidationMessage("Content", "*") %>
        </p>
    </fieldset>
    <fieldset>
        <legend><%= Html.Resource("Tags")%></legend>
        <p>
            <%= Html.TextBox("Tag1", this.Model.GetTagName(0), new { @class = "tag", style = "width: 250px;", maxlength = 30 })%>
            <%= Html.TextBox("Tag2", this.Model.GetTagName(1), new { @class = "tag", style = "width: 250px;", maxlength = 30 })%>
            <%= Html.TextBox("Tag3", this.Model.GetTagName(2), new { @class = "tag", style = "width: 250px;", maxlength = 30 })%>
        </p>
        <p>
            <%= Html.TextBox("Tag4", this.Model.GetTagName(3), new { @class = "tag", style = "width: 250px;", maxlength = 30 })%>
            <%= Html.TextBox("Tag5", this.Model.GetTagName(4), new { @class = "tag", style = "width: 250px;", maxlength = 30 })%>
            <%= Html.TextBox("Tag6", this.Model.GetTagName(5), new { @class = "tag", style = "width: 250px;", maxlength = 30 })%>
        </p>
    </fieldset>
    <p>
        <input type="submit" value="<%= Html.Resource("Save")%>" />
    </p>
    <div class="line-separator">
        &nbsp;</div>
    <% } %>
    <% if (this.Model.IsUpdate)
       {
           using (Html.BeginForm(MVC.BlogEntryEdit.PerformPingbacks(this.Model.BlogEntry.Id), FormMethod.Post))
           {%>
    <fieldset>
        <legend><%= Html.Resource("Pingback")%></legend>
        <p>
            <% 
               string disabled = this.Model.BlogEntry.Visible ? string.Empty : "disabled=\"disabled\"";
               string explanation = this.Model.BlogEntry.Visible ? string.Empty : Html.Resource("PingbackOnlyWhenVisible"); 
            %>
            <input type="submit" value="<%= Html.Resource("PerformPingbacks")%>" <%= disabled %> />
            <%= explanation%>
        </p>
    </fieldset>
    <% } %>
    <form action="/<%= MVC.BlogEntryEdit.Name + "/" + MVC.BlogEntryEdit.Actions.FileUpload + "/" + this.Model.BlogEntry.Id %>"
    method="post" enctype="multipart/form-data">
    <fieldset>
        <legend><%= Html.Resource("Files")%></legend>
        <p>
            <% Html.RenderPartial(MVC.BlogEntryEdit.Views.BlogEntryFileControl, this.Model.BlogEntry.Files); %>
        </p>
        <p>
            <label for="file">
                <%= Html.Resource("Filename")%>:</label><br />
            <input type="file" name="file" id="file" />
            <input id="submitUpload" type="submit" value="<%= Html.Resource("Upload")%>" />
        </p>
    </fieldset>
    </form>
    <% } %>
</asp:Content>
